package com.kingdee.eas.custom.facade.abnormal;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.facade.abnormal.*;

public class AbnormalFacade extends AbstractBizCtrl implements IAbnormalFacade
{
    public AbnormalFacade()
    {
        super();
        registerInterface(IAbnormalFacade.class, this);
    }
    public AbnormalFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IAbnormalFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("B62C862C");
    }
    private AbnormalFacadeController getController() throws BOSException
    {
        return (AbnormalFacadeController)getBizController();
    }
    /**
     *²¿ÃÅ¿¼ÇÚÔ¤¾¯-User defined method
     */
    public void abnormalAttendance() throws BOSException
    {
        try {
            getController().abnormalAttendance(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}